﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using SMSObjMgrLib;
using System.Runtime.InteropServices;

namespace SMSTest
{
    public partial class SMSTest : Form
    {
        private SMSObjectsManager manager = null;
        // Конкретный экземтляр
        //private ISMSObject smsObject = null;
        //private bool isConnected = false;

        public SMSTest()
        {
            InitializeComponent();

            manager = new SMSObjectsManager();
            //this.buttonSend.Enabled = false;
        }

        /// <summary>
        /// Соединение с конкретным объектом
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        //private void buttonConnect_Click(object sender, EventArgs e)
        //{
        //    if (!this.isConnected)
        //    {
        //        if (string.IsNullOrEmpty(this.textBoxSMSName.Text))
        //        {
        //            MessageBox.Show("Enter TitleObject name.");
        //            return;
        //        }
        //        try
        //        {
        //            smsObject = manager.GetSMSObjectByName(this.textBoxSMSName.Text) as ISMSObject;
        //        }
        //        catch (System.ArgumentException ex)
        //        {
        //            MessageBox.Show(string.Format("TitleObject with name '{0}' not found or not started.", this.textBoxSMSName.Text));
        //            return;
        //        }
        //        this.buttonSend.Enabled = true;
        //        this.buttonConnect.Text = "Disconnect";
        //        this.isConnected = true;
        //    }
        //    else
        //    {
        //        this.buttonSend.Enabled = false;
        //        this.buttonConnect.Text = "Connect";
        //        this.isConnected = false;
        //    }
        //}

        /// <summary>
        /// COMException ex: HRESULT = E_FAIL - нет затущенных СМС объектов
        ///                          = E_PENDING - все СМС объекты заняты
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void buttonSend_Click(object sender, EventArgs e)
        {
            try
            {
                manager.SetStyleMessageTo(this.textBoxSMSName.Text, "0", this.textBoxNick.Text, "1", this.textBoxSMSText.Text, 255, 1);
                // Посылка конкретному объекту
                //smsObject.SetMessage(this.textBoxSMSText.Text, "", 1, 255);
            }
            catch (COMException ex)
            {
                MessageBox.Show(string.Format("Message not sent to '{0}'.\n{1}\nObject busy or not Started.", this.textBoxSMSName.Text, ex.Message));
            }
        }
    }
}
