// TitleRunTimeTest.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "TitleRunTimeTest.h"
#include "TitleRunTimeTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTitleRunTimeTestApp

BEGIN_MESSAGE_MAP(CTitleRunTimeTestApp, CWinApp)
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


// CTitleRunTimeTestApp construction

CTitleRunTimeTestApp::CTitleRunTimeTestApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CTitleRunTimeTestApp object

CTitleRunTimeTestApp theApp;


// CTitleRunTimeTestApp initialization

BOOL CTitleRunTimeTestApp::InitInstance()
{
	// InitCommonControls() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	InitCommonControls();

	CWinApp::InitInstance();

	AfxEnableControlContainer();

	//CoInitializeEx(NULL, COINIT_MULTITHREADED);
	CoInitialize(NULL);

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("SoftLab-NSK"));

	SetThreadLocale(MAKELCID(MAKELANGID(LANG_NEUTRAL, SUBLANG_NEUTRAL), 0));

	{
		SLMiniDumpLib::IHookExceptionPtr hook;
		hook.CreateInstance(__uuidof(SLMiniDumpLib::HookException));
		if (hook != NULL) {
			hook->Hook();
		}
		CTitleRunTimeTestDlg dlg;
		m_pMainWnd = &dlg;
		INT_PTR nResponse = dlg.DoModal();
		if (nResponse == IDOK)
		{
		}
		else if (nResponse == IDCANCEL)
		{
		}
		if (hook != NULL) {
			hook->UnHook();
		}
	}
	CoUninitialize();
	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
