
// FDExtRenderDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CFDExtRenderDlg dialog
class CFDExtRenderDlg : public CDialog
{
// Construction
public:
	CFDExtRenderDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_FDEXTRENDER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	CComboBox m_DeviceList;
	CStatic m_Info;
	enum { eMaxDeviceNumber=16 };
	long m_nRenderID[eMaxDeviceNumber];
	long m_nRenderCnt;
	CComPtr<FDExtSrvdLib::IFDExtMgr> m_pIMgr;
	CComPtr<FDExtSrvdLib::IFDVideoOut> m_pIPlayer;
	DWORD64 m_nFrameIndex;
	bool m_bUpperFieldFirst;
	long m_nDX,m_nDY,m_nOffset;
	BYTE *m_pFieldImage;
	double m_fSamplePerFrame;
	long m_nSampleAlign,m_nSampleSize,m_nChMask;
	short *m_pAudioData;
	long m_nLocalFrameIndex;
	long m_nDropFrames;

protected:
	HRESULT Init();
	HRESULT Start();
	HRESULT Stop();
	HRESULT RenderFrame();
	HRESULT FillField(BOOL bUpperField, long offset);

public:
	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedStart();
	afx_msg void OnBnClickedStop();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
