#pragma once

#include "TitleSDK\SLTitleSDK.h"

class CImageGenerator {
public:
	CImageGenerator() { m_bNeedToWork=false;  m_bShowLastHalfShot=true;  m_nFadeInCounter=m_nFadeOutCounter=10; }
	virtual ~CImageGenerator() { Release(true); }
public:
	virtual HRESULT Init(RECT rect, long nZOrder);
	virtual HRESULT Release(bool no_check);
	virtual HRESULT Work();
protected:
	virtual HRESULT GetFreeSpace4Image(RGBQUAD* &image);
	virtual HRESULT DrawNextImage(RGBQUAD *image, long nFrameIndex) = 0;
	virtual HRESULT ConfirmImageInFifo();
	virtual HRESULT FadeOut();

protected:
	CComPtr<ISLTitleTarget> m_pITitler;
	CComPtr<ISLTitleRegionEx> m_pIRegion;
	CComPtr<IUnknown> m_pIHolder;
	bool m_bUpperField;
	bool m_bShowLastHalfShot;
	long m_nFrameIndex;
	long m_nDX,m_nDY,m_nImageSize;
	long m_nFadeInCounter,m_nFadeOutCounter;

public:
	volatile bool m_bNeedToWork;

public:
	// FD300 title surface info
	static GUID guidTitleTarget;
	static long nBoardIndex;
};
