// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently,
// but are changed infrequently

#pragma once

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
#endif

// Modify the following defines if you have to target a platform prior to the ones specified below.
// Refer to MSDN for the latest info on corresponding values for different platforms.
#ifndef WINVER				// Allow use of features specific to Windows 95 and Windows NT 4 or later.
#define WINVER 0x0501		// Change this to the appropriate value to target Windows 98 and Windows 2000 or later.
#endif

#ifndef _WIN32_WINNT		// Allow use of features specific to Windows NT 4 or later.
#define _WIN32_WINNT 0x0501		// Change this to the appropriate value to target Windows 98 and Windows 2000 or later.
#endif						

#ifndef _WIN32_WINDOWS		// Allow use of features specific to Windows 98 or later.
#define _WIN32_WINDOWS 0x0410 // Change this to the appropriate value to target Windows Me or later.
#endif

#ifndef _WIN32_IE			// Allow use of features specific to IE 4.0 or later.
#define _WIN32_IE 0x0500	// Change this to the appropriate value to target IE 5.0 or later.
#endif

#define NTDDI_VERSION NTDDI_WINXP
#define _ATL_USE_WINAPI_FAMILY_DESKTOP_APP

#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS	// some CString constructors will be explicit

#define _ATL_FREE_THREADED
//#define _ATL_APARTMENT_THREADED

// turns off MFC's hiding of some common and often safely ignored warning messages
#define _AFX_ALL_WARNINGS

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdisp.h>        // MFC Automation classes

#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <afxmt.h>

#include <shlwapi.h>
//#include <atlpath.h>

#pragma warning(push)
#pragma warning(disable : 4192)	// automatically excluding 'name' while importing type library 'library'

#ifdef __INTELLISENSE__
#import "SLTMPlayback.tlh" 
#import "SLTitleRunTimeServer.tlh"
#import "SLTitleRunTimeInterfaces.tlh"
#import "SLTMTitleRunTime.tlh"
#import "SLToolKit.tlh"
//#import "SLTMSrvd.tlh"

#import "SLLogDll.tlh"
#import "SLMiniDump.tlh"
#else
//#import "SLTMPlayback.tlh" 
#import "libid:70F88EDA-B620-4A75-9990-1EFC2CDFD9E8" named_guids rename("GetCurrentTime", "GetCurrentTimeM") rename("CurrentTime", "CurrentTimeM") rename("LoadImage", "LoadImageM")
// import "SLTitleRunTimeServer.tlh"
#import "libid:0287c673-7e67-46d5-a1e4-b38d5d6738e5" named_guids
// import "SLTitleRunTimeInterfaces.tlh"
#import "libid:c15a0669-32ee-4e1f-a815-1ea247c120f7" named_guids
// import SLTMTitleRunTime Lib
#import "libid:A154913C-F48E-4752-9113-8C6B3CFF7FAA" named_guids
// import SLToolKit.tlb Library
#import	"libid:70475472-7AF3-4AF2-9C47-698C937EAAE8" named_guids 
// import SLTMSrvd.tlb
//#import "libid:49B1E110-31DD-11D4-BA5A-00605206085C" named_guids rename("LoadImage", "LoadImageM") rename("min", "minm") rename("max", "maxm") rename("GetCurrentTime", "GetCurrentTimem")

// import SLLogDll.dll
#import "libid:61097073-2D9C-4575-9387-3A504B8B8CFF" no_namespace named_guids
// import SLMiniDump.dll
#import "libid:6979E6A7-5FAC-472F-89A9-DEC95378F0F0" named_guids raw_interfaces_only
#endif

#pragma warning(pop)

using namespace SLTMPlaybackLib;
using namespace SLTMTitleRunTime;
using namespace SLTitleRunTimeServer;
using namespace SLTitleRunTimeInterfaces;
using namespace SLTOOLKITLib;
//using namespace SLTMSRVDLib;

#ifdef _UNICODE
#if defined _M_IX86
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='x86' publicKeyToken='6595b64144ccf1df' language='*'\"")
#elif defined _M_IA64
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='ia64' publicKeyToken='6595b64144ccf1df' language='*'\"")
#elif defined _M_X64
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='amd64' publicKeyToken='6595b64144ccf1df' language='*'\"")
#else
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='*' publicKeyToken='6595b64144ccf1df' language='*'\"")
#endif
#endif
