﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SLStreamerPro.PropertyGrid
{
    class ObjectProperty
    {
        string _id;
        string _name;
        object value;
        EnumType enumType;
        string description;
        string category;
        bool isReadOnly;
        bool isVisible;

        public ObjectProperty(string id, string name, object value, EnumType enumType, string description, string category, bool bReadOnly, bool bVisible)
        {
            _id = id;
            _name = name;
            this.value = value;
            this.enumType = enumType;
            this.isReadOnly = bReadOnly;
            this.isVisible = bVisible;
            this.category = category;
            this.description = description;
        }

        public string Id
        {
            get { return _id; }
        }

        public string Name
        {
            get { return _name; }
        }

        public object Value
        {
            get { return value; }
            set { this.value = value; }
        }

        public EnumType Type
        {
            get { return enumType; }
        }

        public string Description
        {
            get { return description; }
        }

        public string Category
        {
            get { return category; }
        }

        public bool IsReadOnly
        {
            get { return isReadOnly; }
        }

        public bool IsVisible
        {
            get { return isVisible; }
        }
    }
}
