
// SLTitleTCPrinterDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CSLTitleTCPrinterDlg dialog
class CSLTitleTCPrinterDlg : public CDialog
{
// Construction
public:
	CSLTitleTCPrinterDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SLTITLETCPRINTER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

protected:
	HICON m_hIcon;
	CComboBox TEType;
	CComboBox TEIndex;
	CStatic FrameNumber;
	CButton btnStart;
	CButton btnStop;
	// local data
	bool m_bInTimer;
	enum { eDX=256, eDY=64, eZ=0x7FFFFFF1, eTimer=101 };
	CComPtr<IUnknown> m_pIHolder;
	CComPtr<ISLTitleRegion> m_pIRegion;
	long m_nValidIndex[100];
	long m_nMaxValidIndex;
	long m_nStartGlobalShot;
	long m_nCurShot;

protected:
	HRESULT InitRender(int nTEType, int nValidIndex, int &step);
	void ReleaseRender();
	HRESULT DrawTimeCode(int &step);
	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedStart();
	afx_msg void OnBnClickedStop();
	afx_msg void OnCbnSelchangeTeType();
	DECLARE_MESSAGE_MAP()
};
