// SLMSTest.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

int _tmain(int argc, _TCHAR* argv[])
{
	::CoInitialize(NULL);
	// create connection
	CComPtr<ISLMSConnection> pConnection;
	if(S_OK != pConnection.CoCreateInstance(CLSID_SLMSConnection)) return -1;
	// create queue
	SLMSErrorCode ErrorCode;
	HRESULT ResultCode;
	HWND NotifyWindow = NULL; // no window is used, NotifyCmd, NotifyWParam, NotifyLParam aren't used too
	long NotifyCmd = WM_USER+100,NotifyWParam = 0,NotifyLParam = 0;
	CComBSTR bstrQName(_T("TestQueue")); // IMPORTANT: not "FDOnAir1" !
	CComPtr<IUnknown> pUnk;
	if(S_OK != pConnection->CreateQueue(&ErrorCode, &ResultCode, bstrQName,
		(long)NotifyWindow,NotifyCmd,NotifyWParam,NotifyLParam,&pUnk)) return -1;
	if(ErrorCode!=mcSuccess) return -1;
	// get ISLMSQueue interface
	CComQIPtr<ISLMSQueue> pQueue(pUnk);
	if(!pQueue) return -1;
	// send 'Start schedule' command to FDOnAir #1
	CStringW queue_name = L"FDOnAir1";
	CStringW subject = L"OnAir1.Mirror";
	CStringW cmd = L"Shedule.Start";
	CStringW local = L"Localhost";
	// convert CString to CComBSTR
	CComBSTR bToQueue(queue_name);
	CComBSTR bSubj(subject);
	CComBSTR bBody(cmd);
	CComBSTR bToMachine(local);
	long MessId = 1; // any ID can be used
	pQueue->SLSendMessage(&ErrorCode,&ResultCode,MessId,0,0,bToMachine,bToQueue,bSubj,bBody);

	return 0;
}

