#pragma once

#include "ImageGenerator.h"

class CCrawlGenerator :	public CImageGenerator
{
public:
	CCrawlGenerator() { m_bShowLastHalfShot=true;  m_nStep=1;  m_nOffset=0; }
	virtual ~CCrawlGenerator() { Release(true); }
public:
	HRESULT Init(RECT rect, long nZOrder);
	HRESULT Release(bool no_check);
protected:
	HRESULT DrawNextImage(RGBQUAD *image, long nFrameIndex);
	void CopyOneField(RGBQUAD *ptr, long offset);

public:
	long SetSpeed(long speed) {
		m_nStep = speed;
	}
protected:
	long m_nStep;		// current step = current speed
	long m_nOffset;		// current position
	enum {
		nImgWidth = 256
	};
	RGBQUAD *m_pBaseImage;
};
