// TestDlg.h : header file
//

#pragma once

#import "TitleSDK\SLTMTitleRunTime.tlb"
#include "afxwin.h"

//using namespace SLTMTitleRunTime;
#define ProcessedHRES (HRESULT)(0x81234567)

#include "ImageGenerator.h"


// CTestDlg dialog
class CTestDlg : public CDialog
{
// Construction
public:
	CTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SLTMTITLERUNTIMESDK_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedProjectBrowse();
	afx_msg void OnBnClickedProjectStart();
	afx_msg void OnBnClickedProjectStop();
	afx_msg void OnBnClickedProjectHide();
	afx_msg void OnBnClickedColorStart();
	afx_msg void OnBnClickedColorStop();
	afx_msg void OnBnClickedCrawlStart();
	afx_msg void OnBnClickedCrawlStop();

private:
	CEdit m_cProjectName;

private:
	SLTMTitleRunTime::ISLTMTitleRunTimeMgr2Ptr m_pIProject;
	CImageGenerator *m_pColorGenerator;
	HANDLE m_hColorGeneratorThread;
	CImageGenerator *m_pCrawlGenerator;
	HANDLE m_hCrawlGeneratorThread;

private:
	bool InitTitles();
	void ReleaseTitles();
};
